Name:		liborigin2
Version:	20101029
Release:	3%{?dist}
Summary:	Library for reading OriginLab project files
License:	GPLv2+
Group:		System Environment/Libraries
URL:		http://sourceforge.net/projects/liborigin/
Source0:	http://downloads.sourceforge.net/liborigin/%{name}/2010/%{name}-%{version}.tar.gz
# Fix build and install
Patch0:		%{name}-20101029-path.patch
BuildRequires:	qt4-devel boost-devel
BuildRequires:	doxygen

%description
%{name} is library for reading OriginLab project files created with 
versions ranging from 6.0 to 8.1. OriginLab Origin provides extensive 
scientific graphing and data analysis capabilities and includes several
new tools that simplify common operations.

See http://www.originlab.com for more information about OriginLab Origin.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	boost-devel%{?_isa}
Obsoletes:	%{name}-doc < 06042009-4.20100629svn

%description devel
The %{name}-devel package contains libraries, header files and documentation
for developing applications that use %{name}. 

%prep
%setup -q
%patch0 -p1

# Convert encoding to UTF-8
iconv -f iso8859-5 -t utf-8 FORMAT > FORMAT.tmp
touch -c -r FORMAT FORMAT.tmp
mv -f  FORMAT.tmp FORMAT

%build
%{_qt4_qmake} LIBDIR=%{_libdir}
make %{?_smp_mflags}

pushd doc
doxygen Doxyfile
# Fix the timestamp
for file in html/*; do
	touch -r Doxyfile $file
done
popd

%install
make install INSTALL="install -p" INSTALL_ROOT=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README FORMAT
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/%{name}
%{_libdir}/%{name}.so

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20101029-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Thomas Spura <tomspur@fedoraproject.org> - 20101029-2
- rebuild for new boost

* Sat Oct 30 2010 Chen Lei <supercyper@163.com> - 20101029-1
- New upstream release

* Wed Oct 13 2010 Chen Lei <supercyper@163.com> - 13092010-1
- New upstream release
